Skip to main content
GET
/
issuer-quotes
List Issuer Quote Executions
curl --request GET \
  --url https://api.paxos.com/v2/issuer-quotes \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/issuer-quotes"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/issuer-quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "issuer_quote_executions": [
    {
      "id": "ce9c514e-ed82-401c-9d85-37da3736a0d0",
      "created_at": "2025-09-11T11:23:01.022425Z",
      "asset_type": "PAXG",
      "principal": "0.34",
      "fee": "0",
      "status": "PENDING",
      "ref_id": "2ce28645-2e1c-4a5d-8799-90e7b6e02673",
      "token_fee": "0.02",
      "token_price": "11.33",
      "token_principal": "-0.03",
      "profile_id": "e6b30762-0689-46fa-b208-35eb347e284c"
    }
  ],
  "next_page_cursor": "CgsIxom6iQYQwO39XBDbsdVz"
}
OAuth Scope
exchange:read_issuer_quote_execution

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Query Parameters

profile_id
string

Optionally filter by the target profile of the issuer quote execution.

status
enum<string>[]

Optionally filter by status.

Available options:
PENDING,
COMPLETE,
FAILED
created_range.begin
string<date-time>

Only return records after this timestamp, inclusive. RFC3339 format, like 2006-01-02T15:04:05Z.

created_range.end
string<date-time>

Only return records before this timestamp, inclusive. RFC3339 format, like 2006-01-02T15:04:05Z.

limit
integer<int32>

Number of results to return. Defaults to 100 if no limit provided. Maximum 1000.

page_cursor
string

Cursor for getting the next page of results. When the number of items returned is fewer than the limit, there is currently no next page.

order
enum<string>

Determines whether the items are returned in ascending (ASC), or descending (DESC) order. Sorted by created at timestamp. Defaults to DESC.

Available options:
DESC,
ASC

Response

200 - application/json

A successful response.

issuer_quote_executions
object[]
next_page_cursor
string